Discord for aarch64/ARM64 ("Linux for ARM64" and "Windows on ARM64")

Comments

9 comments

  • auto-enigmatic

    PLEASE release a Linux build of the Discord app that supports the Raspbian OS for Raspberry Pi 4!!!  That would be SOO great!  (I own a large gaming server with over 900 people on it and I would prefer not to use the Discord web client.)

    14
  • gromitnz

    Yes please, a build for Raspberry Pi!!!

    8
  • ❡oldgamer

    Please add a arm64 option in your snap

    2
  • josiah_sama

    This is useful beyond just Raspberry Pi.  For example, aarch64 is also the architecture of the PineBook laptops and phones. I have a couple Pine64 products that I cannot install the Discord chat client on as a result - one of those devices is a laptop running an ARM processor with the aarch64 architecture.

    As for a more detailed personal preference, I'd prefer that the Discord Desktop aarch64 binary be provided as either a Flatpak or Snap (or both) as those installation methods have better security features than apt, yum, pacman/pamac, etc. have.

    1
  • aaronfranke

    Please release Discord for ARM64 Linux! I have an ARM64 device that runs Linux and it would be great to have Discord on it.

    1
  • Mudkip with a PSP-N1008 ;3

    Also making this app have at least the option for mobile ui is a great idea so that ubports users can get a discord app

    0
  • Amelia (Mia)

    Yes, please! And preferable with an option to make it lighter to run on a Raspberry Pi 3B for example. "Potato PC"-toggle or something that reduces animations and junk.

    0
  • Waddon1

    I also have a Pinebook Pro and this would be greatly beneficial the web client is missing so many features. It would also be good for the many arm based chromebooks out there.

    0
  • rig0r

    I run a Linux VM in Parallels on a Macbook Pro M1 and can't use Discord unfortunately. Could you please release an aarch64 build? Shouldn't be too much of a hassle :) It currently freezes on the updater with this output:

     

     ○ discord
    Discord 0.0.16
    Starting app.
    Starting updater.
    [Modules] Modules initializing
    [Modules] Distribution: remote
    [Modules] Host updates: enabled
    [Modules] Module updates: enabled
    [Modules] Module install path: /home/js/.config/discord/0.0.16/modules
    [Modules] Module installed file path: /home/js/.config/discord/0.0.16/modules/installed.json
    [Modules] Module download path: /home/js/.config/discord/0.0.16/modules/pending
    [91916:1228/150624.480766:ERROR:sandbox_linux.cc(376)] InitializeSandbox() called with multiple threads in process gpu-process.
    [91916:1228/150624.483425:ERROR:angle_platform_impl.cc(44)] renderergl_utils.cpp:188 (ClearErrors): Preexisting GL error 0x00000500 as of ../../third_party/angle/src/libANGLE/renderer/gl/TextureGL.cpp, setImageHelper:256.
    [Modules] No updates to install
    [Modules] Checking for host updates.
    [Modules] Host is up to date.
    [Modules] Checking for module updates at https://discord.com/api/modules/stable/versions.json
    [Modules] No module updates available.
    [91879:1228/150625.194069:ERROR:browser_main_loop.cc(269)] Gdk: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
    0

Please sign in to leave a comment.